package org.project.entity;

public interface Entity {
    // حملات و اقدامات مبارزه پایه
    void attack(Entity target);

    void defend();

    // مدیریت وضعیت حیاتی موجود
    void heal(int health);

    void fillMana(int mana);

    void takeDamage(int damage);

    // گترهای ضروری برای بررسی وضعیت در منوها و مبارزات
    int getHp();

    int getMaxHP();

    int getMp();

    int getMaxMP();

    // متد کاربردی برای اینکه بدانیم آیا موجود زنده است یا خیر
    boolean isAlive();
}